Jump to content
InsanelyMac Forum

alvins

Members
  • Content count

    11
  • Joined

  • Last visited

About alvins

  • Rank
    InsanelyMac Protégé
  1. alvins

    Java SDK 1.5 (5.0)

    Yes the symbolic links seem to do the job but the problem seems to be with java 1.5 itself. It does not like osx 86 at all. Any ideas on where to go from here?
  2. alvins

    eclipse

    Just playing around with it over the last couple of days. Plug-in development on eclipse seems to crash it constantly. Haven't tried simple java development but I think that works fine. At some point we should try and do a complete port - mac x86. If anybody knows anyone who is able to help us in doing this it would be create - ie. someone who has experience in create a build for a new architecture. Seems to be quite a number of steps before you can create your own binary. I will do some investigation into this over the next week.
  3. alvins

    Java SDK 1.5 (5.0)

    1.5 does not seem to work well with osx86 at the moment. Can't compile much - seg faults and bus errors. I don't know the reason behind this - 1.4 I am pretty sure is ppc based and so is 1.5.
  4. alvins

    eclipse

    For the moment just email them to me alvins1982 at hotmail.com. The libcore - what is that? btw. Did you try and recompile the launcher? I am guessing you do not need to.
  5. alvins

    eclipse

    Ohh thats excellent. Couple of questions - - Could you write up a tutorial on the exactly how do do this (ie. compile the SWT source as I was trying to do this). - Could you upload the new SWT library so I can insert into my eclipse. - What are the issues with JDK 1.5 you face? If I try compile anything with JDK1.5 I get seg faults, bus errors etc. The include JDK 1.4.2 seems to work good.
  6. alvins

    eclipse

    Sorry couldn't quite get what you were saying here? btw. did you universal binary work?
  7. alvins

    eclipse

    Eclipse 3.1 has alot of fixes etc for bugs. Any reason you didn't try and compile 3.1? Could you write a short tutorial on how you went about compiling? Cheers, Alvin
  8. alvins

    eclipse

    After reinstalling osx and staying with the installed jdk (1.4.2) - the binary version of ant seems to work fine. Now I am compiling eclipse from source but need to recomple the swt and launcher libraries within. Trying to recompile the launcher for eclipse - I need the Carbon library files and .h files (c files refer to these eg. - #include <Carbon/Carbon.h>). I have downloaded Carbon from the apple dev site but don't know what to do with it (ie. where to put it and link it so 'cc' finds it when it tries to compile.
  9. alvins

    eclipse

    I have been trying to compile from source but this require ant and that seems to have problems itself. So given up on that - playing around with binary. Eclipse exits with errorcode 10 - any ideas what that relates to? How about previous versions, are they worth trying?
  10. alvins

    ant

    I have tried the binary - seems to seg fault every time I try and build something - sometimes has "bus error". Tried to build both eclipse and azureus using jdk5 and ant binary. No luck as above. So I have tried to build ant from source. What the source build does is compile a small "mini" ant and use that to build the rest of ant. Same problem as above.
  11. alvins

    eclipse

    Anybody successfully got this working. I am running sse3 emulation (itunes, msn works) but cannot get the latest eclipse (3.1) for osx working. Complains about some java error.
×